#pragma once
#include <saas/deploy_manager/scripts/common/script.h>

namespace NRTYDeploy {
    class TScriptDeployInfo: public IScript {
    public:
        static TFactory::TRegistrator<TScriptDeployInfo> Registrator;
        virtual bool Process(IDeployInfoRequest& request);

    protected:
        virtual void FillUsedResources(IUserAccessControl::TUsedResources& result, IDeployInfoRequest& request);
    private:
        TString ExclusionFilter;
        TString InclusionFilter;
        NJson::TJsonValue GetTaskInfo(const TClusterTask& task);
    };
}
